FullWrtTextInternal::DataModifier Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Friends | List of all members
FullWrtTextInternal::DataModifier Struct Reference

Internal: class to store a font/para modifier with appear in text data. More...

## Public Member Functions
| DataModifier ()
| constructor More...
float | getSuper () const
| returns the superscript value ( negative in pt, position in li) More...
float | getSub () const
| returns the sub value ( negative in pt, position in li) More...
int | getBorderId () const
| returns the border id More...
int | getDocParaId () const
| returns the document extra id More...

## Public Attributes
MWAWColor | m_color
| the color More...
int | m_data [4]
| the data More...
std::string | m_extra
| extra data More...

## Friends
std::ostream & | operator<< (std::ostream &o, DataModifier const &m)
| operator<< More...

## Detailed Description

Internal: class to store a font/para modifier with appear in text data.

## Constructor & Destructor Documentation

FullWrtTextInternal::DataModifier::DataModifier | ( |  | ) |
| inline

constructor

## Member Function Documentation

int FullWrtTextInternal::DataModifier::getBorderId | ( |  | ) | const
| inline

returns the border id

Referenced by FullWrtText::send().

int FullWrtTextInternal::DataModifier::getDocParaId | ( |  | ) | const
| inline

returns the document extra id

Referenced by FullWrtText::send().

float FullWrtTextInternal::DataModifier::getSub | ( |  | ) | const
| inline

returns the sub value ( negative in pt, position in li)

Referenced by FullWrtTextInternal::Font::update().

float FullWrtTextInternal::DataModifier::getSuper | ( |  | ) | const
| inline

returns the superscript value ( negative in pt, position in li)

Referenced by FullWrtTextInternal::Font::update().

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | DataModifier const & | m
| ) |  |
| friend

operator<<

## Member Data Documentation

MWAWColor FullWrtTextInternal::DataModifier::m_color

the color

Referenced by FullWrtText::readDataMod(), and FullWrtTextInternal::Font::update().

int FullWrtTextInternal::DataModifier::m_data[4]

the data

Referenced by DataModifier(), getBorderId(), getDocParaId(), getSub(), getSuper(), and FullWrtText::readDataMod().

std::string FullWrtTextInternal::DataModifier::m_extra

extra data

Referenced by FullWrtText::readDataMod().

The documentation for this struct was generated from the following file:

- FullWrtText.cxx